;@echo off
;goto make
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
.386
.model flat, stdcall
option casemap :none
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
include	\masm32\include\windows.inc
include	\masm32\include\user32.inc
include	\masm32\include\kernel32.inc
include	\masm32\include\Comctl32.inc
include	\masm32\include\ole32.inc
include	\masm32\include\shell32.inc
Include \masm32\Include\Gdi32.inc
Include \masm32\Include\gdiplus.inc
include	\masm32\include\Comdlg32.inc
include \masm32\include\masm32.inc
include	gdiplus_structures_ver1.inc

includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\Comctl32.lib
includelib \masm32\lib\ole32.lib
IncludeLib \Masm32\Lib\Gdi32.lib
includelib \masm32\lib\shell32.lib
includelib \masm32\lib\gdiplus.lib
includelib \masm32\lib\Comdlg32.lib
includelib \masm32\lib\masm32.lib

include	\masm32\macros\macros.asm
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
movGUID macro arg1,arg2
	push edi
	push esi
	push ecx
	mov ecx,4
	mov edi,arg1
	mov esi,arg2
	rep movsd
	pop ecx
	pop esi
	pop edi
endm
;--------------------------------------------------
jmpif macro val1,val2,val3,val4
	cmp val1,val3
	j&val2& val4
endm
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
.data?
	hInstance	dd ?
	hWin		dd ?
	hWmain		dd ?
	ofn		OPENFILENAMEA<?>
	x1		dd ?
	y1		dd ?
	x2		dd ?
	y2		dd ?
	
	hwndTab		HANDLE		?	; Handle for the Tab Control
	Handles	LABEL	DWORD			; We'll use this as a reference to locate the handles
	Child1hWnd	HANDLE		?	; Handle for the first child dialog 
	Child2hWnd	HANDLE		?	; Handle for the second child dialog 
	ItemStruct  	TC_ITEM 	<?>	; Structure used by the Tab Control
	WhichTabChosen	DWORD		?	; Sort of flag which will prove to be VERY usefull :)

	hTrk		HWND		?
	hTxt		HWND		?
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
.data
	hbmp		dd 0
	dwFileNameCount	dd 0
	aJpg 		db "jpg",0
	CapTilte	db "Capture Screen With JPG",0
	FileName	db 128 dup(0)
	mouseRup_flag	BOOL FALSE
	CapTFlag	BOOL FALSE
	SaveFlag	BOOL TRUE
	Rct		RECT <>
	
	eps             EncoderParameters <>
	Quality         dd 80				; value for jpeg quality
	IClsid          CLSID <>
	fType           db 20 DUP (0)
	fTypeB          db "image/%hs",0
	
	iquality	db 8 DUP (0)
	MainDlgName	db "IDD_DIALOG",0		; lpTemplateName for the main dlg
	Child1Name 	db "IDD_CHILD1",0		; lpTemplateName for the first child
	Child2Name	db "IDD_CHILD2",0		; lpTemplateName for the second child
	TabTitle1	db "MainGUI",0				
	TabTitle2	db "Config",0			
	HelpText	db " 1. 'Selecting DC' captures screen with your selection.",13,10
			db " 2. 'Jpg Quality' control jpg file definition, High definition need more filesizes.",13,10
			db " 3. 'Save' save your img into disk with openning the common dialog.",13,10
			db "     'Quick Save' save your img into disk at current directory with automation.",13,10 
			db "     'WM_LBUTTONUP' start up to save.",13,10
			db " 4. 'ESC' key exit the Selecting DC Status, ReleaseCapture and Restore the window.",13,10,0
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
.const
	IDC_TAB1	EQU	1001				; The Tab Control identifier
	IDC_HLP		EQU	1002				
	IDC_EXIT	EQU	1003				
	IDC_EDT1	EQU	1004
	RADIO_1		EQU	2001
	RADIO_2		EQU	2002
	RADIO_3		EQU	2003
	RADIO_4		EQU	2004
	IDC_TRB1	EQU	5000
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
.code
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
SCR_CAPTURE proc uses ebx edx ecx lpRect:DWORD              
	local _x,_y,_w,_h
	Local hdc:HDC
	Local mdc:HDC
	 
	xor eax,eax
	.if lpRect==eax		;All screen
		mov _x,eax
		mov _y,eax
		invoke GetSystemMetrics,SM_CXSCREEN 
		mov _w,eax
		invoke GetSystemMetrics,SM_CYSCREEN 
		mov _h,eax
	.else			;Select DC
		mov edx,lpRect
		assume edx:ptr RECT
		mov eax,[edx].right
		mov ecx,[edx].left
		mov _x,ecx
		sub eax,ecx
		mov _w,eax
		mov eax,[edx].bottom
		mov ecx,[edx].top
		mov _y,ecx
		sub eax,ecx
		mov _h,eax
		assume edx:nothing
	.endif
	invoke GetDC,0
	mov hdc,eax
	invoke CreateCompatibleDC,0
	mov mdc,eax
	invoke CreateCompatibleBitmap,hdc,_w,_h
	mov hbmp,eax
	invoke SelectObject,mdc,eax
	invoke BitBlt,mdc,0,0,_w,_h,hdc,_x,_y,SRCCOPY
	invoke DeleteDC,mdc
	invoke ReleaseDC,0,hdc
	ret
SCR_CAPTURE endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
SetQuality proc uses edi esi ecx eax pStruc:dword,pQual:dword
	local eStruc:EncoderParameters

        mov eStruc.Count,1
        lea eax,eStruc.Parameter.pGUID
        movGUID eax,offset gEncoderQuality
        mov eStruc.Parameter.vType,EncoderParameterValueTypeLong
        mov eStruc.Parameter.NumberOfValues,1
        mov eax,pQual
        mov eStruc.Parameter.value,eax
        mov ecx,sizeof EncoderParameters
        lea esi,eStruc
        mov edi,pStruc
        rep movsb

	ret
SetQuality endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
GetEncoderClsid proc uses esi edi ecx mtype:dword,clsid:dword
	local ansiTxt [40]:byte
	local ptrUtxt     :dword
	local Array       :dword
	local ptrArray    :dword
	local cnum        :dword
	local csize       :dword
	local offMimeType :dword

        mov offMimeType,48  ; offset into ImageCodecInfo STRUC for mime str addr
        invoke GdipGetImageEncodersSize,addr cnum,addr csize   
        jmpif cnum,e,0,error
        invoke GlobalAlloc,GPTR,csize
        jmpif eax,e,0,error
        mov Array,eax
        mov ptrArray,eax    ; start of array of all ImageCodecInfo structures
        invoke GdipGetImageEncoders,cnum,csize,Array ; load all strucs

@@: 
	mov eax,ptrArray
        add eax,offMimeType
        mov eax,[eax]
        mov ptrUtxt,eax     ; pointer to unitext Type string in array

        invoke WideCharToMultiByte,CP_ACP,0,ptrUtxt,-1,addr ansiTxt,40,0,0
        invoke lstrcmp,addr ansiTxt,mtype ;convert and compare

        jmpif eax,e,0,@F    ; if string NOT match to input string
        add ptrArray,sizeof ImageCodecInfo
        dec cnum            ; then add a structure length
        jne @B              ; and do more

        invoke GlobalFree,Array
        jmp error           ; no match

@@: 
	mov edi,clsid       ; else copy the ClassID GUID
        mov esi,ptrArray    ; to caller
        mov ecx,4
        rep movsd
        invoke GlobalFree,Array
        mov eax,0
	ret
error: 
	mov eax,21
	ret
GetEncoderClsid endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
SaveImage proc hBmp1:HBITMAP,szFileName:dword		
	LOCAL gdipSTI:GdiplusStartupInput
	LOCAL GpImage:DWORD					;GDI+ Bitmap object
	LOCAL utFileName[MAX_PATH*2]:BYTE
	LOCAL GdiPlusToken:dword
	
	invoke RtlZeroMemory,addr gdipSTI,sizeof gdipSTI
	mov    gdipSTI.GdiplusVersion,1
	invoke GdiplusStartup,addr GdiPlusToken,addr gdipSTI,NULL  
        .if eax==0		
		invoke GdipCreateBitmapFromHBITMAP,hBmp1,0,addr GpImage
		.if eax==0	
			; get the extention and make MIME TYPE string (eg "image/bmp"}
			mov eax, offset FileName
			xor ebx,ebx
			mov bx, ofn.nFileExtension
			add eax,ebx
			invoke wsprintf,addr fType,addr fTypeB,eax
			invoke lcase,addr fType
			mov eax,offset fType
			mov ebx,[eax+6]

			.if ebx == 0067706ah || ebx == 0065706ah || ebx == 6765706ah
				mov ebx,6765706ah	; traps all jpeg requests, sets jpegFlag and
				mov [eax+6],ebx		; converts ".jpg" and ".jpe" string requests to
			.endif

			invoke GetEncoderClsid,addr fType,addr IClsid
			invoke MultiByteToWideChar,CP_ACP,0,szFileName,-1,addr utFileName,MAX_PATH*2
			
			invoke SetQuality,addr eps,addr Quality      ; [0-100]
			invoke GdipSaveImageToFile,GpImage,addr utFileName,addr IClsid,addr eps
			
			invoke GdipDisposeImage,GpImage
		.endif
		invoke GdiplusShutdown,GdiPlusToken
	.endif
	ret
SaveImage endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
FillFileStruct proc uses ecx edx s_hwnd:HANDLE
	local dwFileNameSize:dword

	invoke	RtlZeroMemory, addr ofn, sizeof ofn
	
	mov	ofn.lStructSize,	4Ch
        invoke	GetVersion
        .if  eax > 0
		add ofn.lStructSize,	0Ch
	.endif
	m2m	ofn.hwndOwner,		s_hwnd 
	m2m	ofn.lpstrFilter,	offset aJpg  
	mov	ofn.nMaxFile,		82806h
	m2m	ofn.lpstrTitle,		offset CapTilte
        m2m	ofn.hInstance,		hInstance
	m2m	ofn.lpstrFile,		offset FileName

	.IF	SaveFlag==TRUE 			;Save 
		invoke GetSaveFileName,addr ofn
	.else					;Quick Save
		invoke lstrlen,offset FileName
		mov dwFileNameSize,eax
		xor ecx,ecx
		m2m cx, word ptr dwFileNameSize
		sub cx,3
		mov ofn.nFileExtension,cx 
	.endif

	ret
FillFileStruct endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
CapDlg proc uses ebx hWnd:HWND,uMsg1:UINT,wParam1:WPARAM,lParam1:LPARAM
	LOCAL Ps:PAINTSTRUCT
	local hImg,hPen
	Local mdc:HDC

	.IF uMsg1== WM_INITDIALOG
		m2m    hWin,hWnd
		invoke LoadCursor,0,7F03h		;IDC_CROSS
		invoke SetCursor,EAX
		invoke GetSystemMetrics,SM_CXSCREEN
		push   eax
		invoke GetSystemMetrics,SM_CYSCREEN
		pop    edx
		invoke SetWindowPos,hWnd,0FFFFFFFFh,0,0,EDX,EAX,NULL
		xor    eax, eax
		mov    x1, eax
		mov    y1, eax
		mov    x2, eax
		mov    y2, eax
		invoke SCR_CAPTURE, eax
	.elseif uMsg1 == WM_LBUTTONDOWN
		invoke SetCapture, hWnd
		xor    eax,eax
		xor    ecx,ecx
		movzx  eax, word ptr lParam1
		mov    x1, eax
		movzx  eax, word ptr lParam1+2
		mov    y1, eax
		MOV    mouseRup_flag, TRUE
	.elseif uMsg1 == WM_LBUTTONUP
		MOV    mouseRup_flag, FALSE
		invoke ReleaseCapture
		.IF  CapTFlag==	FALSE		;Selected screen
			mov     eax, x1
			mov     ebx, y1
			mov     ecx, x2
			mov     edx, y2
			.if (eax == ecx) || (ebx == edx)
				invoke MessageBox,hWnd,SADD('Invaild Region Selected'),NULL,30h
				jmp @F
			.endif
			.if (eax < ecx) && (ebx < edx)
				jmp ok
			.endif
			.if (eax > ecx) && (ebx > edx)
				xchg eax, ecx
				xchg ebx, edx
				jmp ok
			.endif
			.if (eax > ecx) && (ebx < edx)
				xchg eax, ecx
				jmp ok
			.endif
			.if (eax < ecx) && (ebx > edx)
				xchg ebx, edx
				jmp ok
			.endif
 ok:                     
			inc     eax
			inc     ebx
			dec     ecx
			dec     edx
			mov     Rct.left, eax
			mov     Rct.top, ebx
			mov     Rct.right, ecx
			mov     Rct.bottom, edx
			INVOKE	SCR_CAPTURE,ADDR Rct

		.ELSE
			INVOKE	SCR_CAPTURE,0		;All screen

		.ENDIF

		.IF  SaveFlag==TRUE 			;Save 
			invoke  wsprintf,offset FileName,SADD("Snap%03u.jpg"),dwFileNameCount
			invoke  FillFileStruct,hWnd
			.if eax==0
				invoke  SendMessage,hWnd,WM_CLOSE,1,0
				jmp     @F
			.endif
			inc     dwFileNameCount
			invoke  SaveImage,hbmp,offset FileName
			invoke  MessageBeep,MB_ICONASTERISK	
		.else					;Quick Save
			invoke  GetCurrentDirectory,Sizeof FileName,offset FileName
			invoke  wsprintf,offset FileName,SADD("%s\Q_Snap%03u.jpg"),offset FileName,dwFileNameCount
			invoke  FillFileStruct,hWnd
			inc     dwFileNameCount
			invoke  SaveImage,hbmp,offset FileName
			invoke  MessageBeep,MB_ICONEXCLAMATION
		.endif
		invoke  SendMessage,hWnd,WM_CLOSE,1,0
                invoke  DeleteObject,hbmp
		invoke  InvalidateRect,hWnd,NULL,NULL
@@:		
	.elseif uMsg1 == WM_MOUSEMOVE
		.if mouseRup_flag == TRUE
			movzx  eax, word ptr lParam1
			mov    x2, eax
			movzx  eax, word ptr lParam1+2
			mov    y2, eax
			invoke InvalidateRect,hWnd,NULL,NULL
		.endif
	.elseif uMsg1 == WM_KEYUP
		.if eax == 0Dh	|| 1BH			;ESCAPE KEY
			 invoke SendMessage,hWnd,NULL,NULL,NULL
		.endif
	.elseif uMsg1 == WM_DEVMODECHANGE
                invoke SendMessage,hWnd,WM_CLOSE,0,0
	.elseif uMsg1 == WM_PAINT
		invoke BeginPaint,hWnd,addr Ps
		invoke GetClientRect,hWnd,ADDR Rct
		invoke CreateCompatibleDC,Ps.hdc
		mov mdc, eax
		invoke CopyImage,hbmp,NULL,NULL,NULL,4
		mov hImg,eax
		invoke SelectObject,mdc,eax
		.IF CapTFlag==FALSE		 ;SELECT DC
			invoke CreatePen,PS_DASHDOTDOT,1,0FF00FFh ;
			mov hPen,eax
			invoke SelectObject,mdc,eax
			invoke MoveToEx,mdc,x1,y1,NULL
			invoke LineTo,mdc,x1,y2
			invoke LineTo,mdc,x2,y2
			invoke LineTo,mdc,x2,y1
			invoke LineTo,mdc,x1,y1
			invoke DeleteObject,hPen
		.ENDIF
		invoke BitBlt,Ps.hdc,0,0,Rct.right,Rct.bottom,mdc,0,0,0C000CAh
		invoke DeleteObject,hImg
		invoke DeleteDC,mdc
		invoke EndPaint,hWnd,ADDR Ps
	.elseif uMsg1 == WM_CLOSE
                ;invoke DeleteObject,hbmp
                invoke GetParent,hWnd
                invoke ShowWindow,eax,5
                invoke EndDialog,hWnd,wParam1
	.else
		mov eax,FALSE
		ret
	.endif
	mov eax,TRUE
	ret
CapDlg endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
ChildDlgProc1  PROC SmallhWnd:HWND, uMsg11:UINT, wParam11:WPARAM, lParam11:LPARAM
	
	m2m Child1hWnd, SmallhWnd
        .if uMsg11==WM_COMMAND
		mov	eax,wParam11
		.if	ax ==	1001		; START Capture
			INVOKE ShowWindow,hWmain,SW_HIDE
			INVOKE Sleep,100
			invoke DialogBoxParam,hInstance,101,hWmain,offset CapDlg,NULL
		.endif
	.endif
	XOR EAX,EAX
	RET
ChildDlgProc1	ENDP
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
ChildDlgProc2  PROC SmallhWnd:HWND, uMsg22:UINT, wParam22:WPARAM, lParam22:LPARAM

	m2m Child2hWnd, SmallhWnd
	.if uMsg22==WM_INITDIALOG
		invoke CheckDlgButton, Child2hWnd,RADIO_2,BST_CHECKED   ; Initialise recording mode as default
		invoke CheckDlgButton, Child2hWnd,RADIO_3,BST_CHECKED

		invoke  GetDlgItem,Child2hWnd,IDC_TRB1		;IDC_TRB1
		mov hTrk,eax
		invoke  GetDlgItem,Child2hWnd,IDC_EDT1		;IDC_EDT1
		mov hTxt,eax					; range 5 - 100
   		invoke SendMessage,hTrk,TBM_SETRANGE,1,0640005h
		invoke SendMessage,hTrk,TBM_SETTICFREQ,2,1
		invoke SendMessage,hTrk,TBM_SETPAGESIZE,0,1
		invoke SendMessage,hTrk,TBM_SETPOS,18,Quality
		invoke wsprintf,addr iquality,SADD("%u%%"),Quality
		invoke SetWindowText,hTxt,addr iquality
	.elseif uMsg22 == WM_HSCROLL
		mov eax,wParam22
		and eax,0ffffh
   		.if eax == TB_THUMBTRACK || TB_PAGEUP || TB_PAGEDOWN || TB_THUMBPOSITION
			invoke SetFocus,hTrk
			mov eax,lParam22
			.if eax == hTrk				; QUALITY set
				; get quality
				invoke SendMessage,hTrk,TBM_GETPOS,0,0
				mov Quality,eax
				invoke wsprintf,addr iquality,SADD("%u%%"),Quality
				invoke SetWindowText,hTxt,addr iquality
			.endif
		.endif
	.elseif uMsg22==WM_COMMAND
		mov eax,wParam22
		and eax,0ffffh
 		.IF  eax==RADIO_1
			MOV CapTFlag,TRUE		
		.ELSEIF eax==RADIO_2
			MOV CapTFlag,FALSE
		.endif
		.IF eax==RADIO_3
			MOV SaveFlag,TRUE		
		.ELSEIF eax==RADIO_4
			MOV SaveFlag,FALSE		
		.ENDIF
	.endif
	XOR EAX,EAX
	RET
ChildDlgProc2	ENDP
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
DialogFunc proc uses ebx hWnd:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM

	.IF uMsg==WM_INITDIALOG 
		m2m hWmain,hWnd
		INVOKE InitCommonControls			; we've got to justify comctl32.dll!

		INVOKE GetDlgItem,hWnd,IDC_TAB1			; We get the handle to the Tab Control
		MOV hwndTab,EAX					; Lets keep it in hwndTab

		MOV ItemStruct.imask,TCIF_TEXT			; Text? image? what do you want?
		MOV ItemStruct.lpReserved1,0			; Reserved
		MOV ItemStruct.lpReserved2,0 			; Reserved
		MOV ItemStruct.pszText,OFFSET TabTitle1 	; pointer to string containing tab text 
		MOV ItemStruct.cchTextMax,sizeof TabTitle1	; size of pszText
		MOV ItemStruct.iImage,0				; index to tab control's image 
		MOV ItemStruct.lParam,0				; Extra info
		INVOKE SendMessage,hwndTab,TCM_INSERTITEM,0,OFFSET ItemStruct

		MOV ItemStruct.pszText,OFFSET TabTitle2
		MOV ItemStruct.cchTextMax,sizeof TabTitle2
		INVOKE SendMessage,hwndTab,TCM_INSERTITEM,1,OFFSET ItemStruct

		MOV EAX,OFFSET ChildDlgProc1
		INVOKE CreateDialogParam,hInstance,OFFSET Child1Name,hwndTab,EAX,0
		MOV Child1hWnd,EAX

		MOV EAX,OFFSET ChildDlgProc2
		INVOKE CreateDialogParam,hInstance,OFFSET Child2Name,hwndTab,EAX,0
		MOV Child2hWnd,EAX

		MOV WhichTabChosen,0 				
		INVOKE ShowWindow,Child1hWnd,SW_SHOWDEFAULT
	.ELSEIF uMsg==WM_NOTIFY
		MOV EAX,lParam					; lParam is a pointer to a NMHDR Struct
		MOV EAX, (NMHDR PTR [eax]).code			; is the code member a TCN_SELCHANGE?
		.if EAX == TCN_SELCHANGE			; 
			MOV EBX,WhichTabChosen			; Which is the currently selected tab?
			MOV EAX,[Handles+EBX*4]			; Put in EAX its handle
			INVOKE ShowWindow,EAX,SW_HIDE		; Hide it damn it!
			INVOKE SendMessage,hwndTab,TCM_GETCURSEL,0,0												; Ok which one is BEING chosen right now?
			MOV WhichTabChosen,EAX			; Lets keep it in our little variable
			MOV EBX,[Handles+EAX*4]			; Now lets retrieve the chosen one's handle
			INVOKE ShowWindow,EBX,SW_SHOWDEFAULT	; and now lets show it :)
		.endif
	.elseif uMsg == WM_CLOSE
		invoke EndDialog,hWnd,0
	.elseif	uMsg ==	WM_COMMAND
		mov	eax,wParam
		.if	ax == IDC_HLP
			invoke MessageBox,hWnd,offset HelpText,SADD('Capture Screen With JPG'),MB_OK OR MB_ICONINFORMATION
		.elseif	ax == IDC_EXIT
			invoke SendMessage,hWnd,WM_CLOSE,NULL,NULL
		.endif
	.else
		mov eax,FALSE
		ret
	.endif
	mov eax,TRUE
	ret

DialogFunc endp
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
start:          
	invoke  GetModuleHandle,NULL
        mov     hInstance, eax
        invoke  DialogBoxParam,hInstance,100,NULL,ADDR DialogFunc,NULL
        invoke  ExitProcess,NULL
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

end start

;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
:make
set name=Capture_scr

    \masm32\bin\ml /c /coff %name%.bat
    \masm32\bin\rc %name%.rc
    \masm32\bin\Link /subsystem:windows %name%.obj %name%.res
    
    if exist *.bak del *.bak
    if exist *.res del *.res
    if exist *.obj del *.obj
echo.

